#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint flutter_armod_widget.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'flutter_armod_widget'
  s.version          = '0.0.3'
  s.summary          = 'Flutter AR-MOD widget for embedding AR features in flutter.'
  s.description      = <<-DESC
A Flutter AR plugin. 
                       DESC
  s.homepage         = 'https://phantomsxr.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { "Phantomxm2021" => "phantomxm2021@gmail.com" }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h','${PODS_ROOT}/../ThirdParties/UnityFramework.framework/Headers'
  s.dependency 'Flutter'
  s.platform = :ios, '11.0'
  s.frameworks = 'UnityFramework'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'

  s.xcconfig = {
     'FRAMEWORK_SEARCH_PATHS' => '"${PODS_ROOT}/../ThirdParties" "${PODS_ROOT}/../.symlinks/flutter/ios-release" "${PODS_CONFIGURATION_BUILD_DIR}"',
     'OTHER_LDFLAGS' => '$(inherited) -framework UnityFramework ${PODS_LIBRARIES}'
  }
end
