package com.phantomsxr.armodplugin

interface ARMODEventListener {
    fun onDeviceNotSupport()
    fun onAddLoadingOverlay()
    fun onUpdateLoadingProgress(progress: Float)
    fun onRemoveLoadingOverlay()
    fun onThrowException(errorMsg:String,errorCode:Int)
    fun onNeedInstallARCoreService()
    fun onSdkInitialized()
    fun onOpenBuiltInBrowser(url:String)
    fun onRecognitionStart()
    fun onRecognitionComplete()
    fun onTryAcquireInformation(opTag:String,androidCallback: AndroidCallback)
    fun onPackageSizeMoreThanPresetSize(version1:String,version2:String)
    fun onARMODExit()
    fun onARMODLaunch()
}