package com.phantomsxr.armodplugin

import android.content.Context
import io.flutter.plugin.common.BinaryMessenger

class FlutterARMODWidgetBuilder : FlutterARMODWidgetOptionsSink{
    private val options = FlutterARMODWidgetOptions()

    fun build(
            id: Int,
            context: Context,
            appContext: Context,
            binaryMessenger: BinaryMessenger,
            lifecycle: LifecycleProvider
    ): FlutterARMODWidgetController {
        val controller = FlutterARMODWidgetController(
                id,
                context,
                appContext,
                binaryMessenger,
                lifecycle,
                options
        )
        controller.bootstrap()

        return controller
    }

    override fun setFullscreenEnabled(fullscreenEnabled: Boolean) {
        options.fullscreenEnabled = fullscreenEnabled
    }
}