package com.phantomsxr.armodplugin.utils

import android.os.Bundle

import com.unity3d.player.UnityPlayer

interface IARMODViewDelegate {
    val armodPlayer: UnityPlayer

    // val view:IObjectWrapper

    @Throws(Exception::class)
    fun onCreate(bundle: Bundle)

    @Throws(Exception::class)
    fun onResume()

    @Throws(Exception::class)
    fun onPause()

    @Throws(Exception::class)
    fun onDestroy()

    @Throws(Exception::class)
    fun onLowMemory()

    @Throws(Exception::class)
    fun onSaveInstanceState(bundle: Bundle)

    @Throws(Exception::class)
    fun onStart()

    @Throws(Exception::class)
    fun onStop()
}
