import UIKit
import Flutter
import flutter_armod_widget

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate {
  override func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
  ) -> Bool {
//    [NSClassFromString(frameworkLibAPI) registerAPIforNativeCalls:ncp];
   
    InitARMODIntegrationWithOptions(argc: CommandLine.argc, argv: CommandLine.unsafeArgv, launchOptions)
    
    let nativeCalls: AnyClass? = NSClassFromString("FrameworkLibAPI")
    nativeCalls?.registerAPIforNativeCalls(Test())
    
    GeneratedPluginRegistrant.register(with: self)
    return super.application(application, didFinishLaunchingWithOptions: launchOptions)
  }
}
