//
//  FLTARMODView.swift
//  flutter_armod_widget
//
//  Created by PhantomsXR on 23/08/2021.
//


import Foundation
import UIKit
import UnityFramework

class FLTARMODView: UIView {
    public var uView: UIView?

    override init(frame: CGRect) {
        super.init(frame: frame)
    }

    deinit {
    }

    func setARMODView(_ view: UIView?) {
        uView = view
        setNeedsLayout()
    }

    override func layoutSubviews() {
        super.layoutSubviews()
        uView?.removeFromSuperview()
        if let uView = uView {
            insertSubview(uView, at: 0)
        }
        (uView)?.frame = bounds
        uView?.setNeedsLayout()
    }

    required init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
    }
}
